#ifndef REMAUDIO_H
#define REMAUDIO_H

enum NETCTL_CMD{
	NETCTL_WRITE,
	NETCTL_READ,
	NETCTL_IOCTL,
	NETCTL_LSEEK,
};

struct REMAUDIO_CTL {
	short cmd;
	unsigned short request;
	int len;
	int p1;
	int p2;
	int p3;
};

enum REMAUDIO_CMD{
	REMAUDIO_OPENFILE,
	REMAUDIO_MOUNT
};

#define REMAUDIO_VERSION	2

struct REMAUDIO_OPEN{
	short version;		// Protocol version
	short cmd;
	char fname[20];
	int mode;
};

extern char __audioserver[];
class ACL_REQUEST;
struct LITEFSD_CTX;
class ACLMODULE;

#include "remaudio.p"

#endif

