#pragma interface
#ifndef BUFINPUT_H
#define BUFINPUT_H

#ifndef LITEFS_H
	#include "litefs.h"
#endif

class BUFINPUT{
protected:
	int nb;
	char buf[64000];
public:
	int fd;
	/*~PROTOBEG~ BUFINPUT */
public:
	BUFINPUT (int _fd);
	int fill (void);
	/*~PROTOEND~ BUFINPUT */
};

class BUFINPUT_REPLY: public BUFINPUT{
	/*~PROTOBEG~ BUFINPUT_REPLY */
public:
	BUFINPUT_REPLY (int _fd);
	int read (LITE_REPLY_DATA&rep);
	int readblock (LITE_REPLY_DATA&req);
	/*~PROTOEND~ BUFINPUT_REPLY */
};

class BUFINPUT_REQUEST: public BUFINPUT{
	/*~PROTOBEG~ BUFINPUT_REQUEST */
public:
	BUFINPUT_REQUEST (int _fd);
	int read (LITE_REQUEST_DATA&rep);
	int readblock (LITE_REQUEST_DATA&req);
	/*~PROTOEND~ BUFINPUT_REQUEST */
};

#endif
