#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>

int main (int argc, char *argv[])
{
	if (argc < 2){
		fprintf (stderr,
			"virtualfs-exec program [ args ... ]\n"
			"\n"
			"Just execute the program received as an argument\n"
			"Used by the virtualfs script. Check the comment at the\n"
			"end.\n");
	}else{
		execvp (argv[1],argv+1);
		fprintf (stderr,"Can't execute %s (%s)\n",argv[1],strerror(errno));
	}
	return -1;
}

